<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href="{{ asset('style/images/favicon.png') }}">
    <title>Sprindt - {% block title %}{% endblock %}</title>
    <link rel="stylesheet" type="text/css" href="{{ asset('style/css/bootstrap.min.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('style/css/plugins.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('style/revolution/css/settings.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('style/revolution/css/layers.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('style/revolution/css/navigation.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('style/type/type.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('style.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('style/css/color/purple.css') }}">
    {% block stylesheets %}{% endblock %}
    <style>
        .profile-nav-link {
            padding-top: 1.8rem;
            padding-bottom: 1.8rem;
            display: inline-block;
            color: #fff;
            font-size: 0.85rem;
            font-weight: 500;
        }
        .page-title-wrapper a {
            color: #fff;
        }
        .banner--stick .profile-nav-link {
            color: #303030;
            padding-top: 1.1rem;
            padding-bottom: 1.1rem;
        }

        @media screen and (max-width: 667px) {
            .cart-wrapper, .cart-header {
                width: 100%;
            }
            .cart-wrapper {
                right: 0;
            }
            .cart-control {
                width: 120px;
            }
        }
        .modal-dialog-centered {
            display: flex;
            align-items: center !important;
            min-height: calc(100% - (.5rem * 2));
        }
        .p-r {
            position: relative;
        }
        .p-r .btn-update {
            position: absolute;
            top: 50%;
            right: 15px;
            transform: translateY(-50%);
            opacity: 0;
        }
        .p-r .btn-update.show {
            opacity: 1;
        }
        .cart-body-list td {
            padding: 0 3px;
        }
        .cart-body-list p {
            margin: 0;
        }
        .cart-body-list tr {
            border-bottom: 5px solid transparent;
        }
        .navigation .pagination {
            display: flex;
        }
        .custom-control-label {
            cursor: pointer;
        }
        .btn-social {
            text-align: center;
            display: block;
            padding: 12px 16px;
            border-radius: 3px;
            position: relative;
            box-shadow: 0 1px 2px rgba(36,57,141,.4);
            margin-bottom: 7px;
        }
        .btn-social:hover {
            filter: brightness(1.2);
            color: #fff;
        }
        .btn-social i {
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            left: 16px;
            font-size: 20px;
        }
        .btn-facebook-connect {
            color: #fff;
            background: #47639e;
        }
        .btn-google-connect {
            color: #fff;
            background: #dd4b39;
        }
        .btn-linkedin-connect {
            color: #fff;
            background: #0a66c2;
        }
    </style>
</head>
<body>
<div class="content-wrapper">
    <nav class="navbar absolute transparent inverse-text navbar-hover-opacity navbar-expand-lg">
        <div class="container">
            <div class="navbar-brand">
                <a href="{{ path('front_home') }}">
                    <img style="height: 32px !important;" src="{{ asset('style/images/logo.png') }}" class="logo-dark" alt="">
                    <img style="height: 32px !important;" src="{{ asset('style/images/logo-light.png') }}" class="logo-light" alt="">
                </a>
            </div>
            <div class="navbar-other ml-auto order-lg-3">
                <ul class="navbar-nav flex-row align-items-center" data-sm-skip="true">
                    <li class="nav-item">
                        <div class="navbar-hamburger d-lg-none d-xl-none ml-auto">
                            <button class="hamburger animate plain" data-toggle="offcanvas-nav"><span></span></button>
                        </div>
                    </li>
                    <li class="dropdown search-dropdown position-static nav-item">
                        <a href="#" role="button" class="collapse-toggle" data-toggle="collapse" data-target=".search-dropdown-menu" aria-haspopup="true" aria-expanded="false"><i class="jam jam-search"></i></a>
                        <div class="dropdown-menu search-dropdown-menu w-100 collapse">
                            <div class="form-wrapper">
                                <form class="inverse-text">
                                    <input type="text" class="form-control" placeholder="Cherchez votre fournisseur">
                                </form>
                                <i class="dropdown-close jam jam-close"></i>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
            <div class="navbar-collapse offcanvas-nav">
                <div class="offcanvas-header d-lg-none d-xl-none">
                    <a href="{{ path('front_home') }}">
                        <img src="{{ asset('style/images/logo-light.png') }}" alt="" />
                    </a>
                    <button class="plain offcanvas-close offcanvas-nav-close"><i class="jam jam-close"></i></button>
                </div>
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item"><a class="nav-link" href="{{ path('front_about') }}">À propos</a></li>
                    <li class="nav-item"><a class="nav-link" href="{{ path('front_fields_index') }}">Liste des fournisseurs</a></li>
                    <li class="nav-item"><a class="nav-link" href="{{ path('front_become_a_provider') }}">Devenir un fournisseur</a></li>
                    {% if app.user %}
                    <li class="nav-item"><span style="width: 330px; display: inline-block;"></span></li>
                    {% else %}
                    <li class="nav-item"><span style="width: 250px; display: inline-block;"></span></li>
                    {% endif %}
                    {% if app.user %}
                        <li class="nav-item"><a class="nav-link" href="{{ path('front_user_account') }}"><i class="jam jam-user"></i> Compte</a></li>
                    {% else %}
                        <li class="nav-item">
                            <a class="profile-nav-link" href="{{ path('front_login') }}"><i class="jam jam-user"></i> Se connecter</a> . <a class="profile-nav-link" href="{{ path('front_register') }}">S'inscrire</a>
                        </li>
                    {% endif %}
                </ul>
            </div>
        </div>
    </nav>

    {% block body %}{% endblock %}

    {{ render(controller('App\\Controller\\CartController::cartListing')) }}

    {% if not is_granted('ROLE_USER') %}
    <div class="modal fade show" id="modal-auth" tabindex="-1" role="dialog" aria-labelledby="modal" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="container-fluid boxed p-0">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                    <div class="image-block-wrapper">
                        <div class="image-block col-lg-6">
                            <div class="image-block-bg bg-image" data-image-src="{{ asset('style/images/art/bg22.jpg') }}"></div>
                        </div>
                        <div>
                            <div class="row no-gutters">
                                <div class="col-lg-6 offset-lg-6">
                                    <div class="box p-50 d-flex">
                                        <div class="align-self-center">
                                            <h2 class="section-title mb-30">Se connecter</h2>
                                            {{ render(controller('App\\Controller\\SecurityController::modalLogin')) }}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {% endif %}

    <footer class="image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg4.jpg') }}">
        <div class="divider"><svg xmlns="http://www.w3.org/2000/svg" class="fill-light-wrapper position-absolute" preserveAspectRatio="none" viewBox="0 0 1070 52">
                <path d="M0,0S247,91,505,32c261.17-59.72,565-13,565-13V0Z" /></svg></div>
        <div class="space100"></div>
        <div class="container inner">
            <div class="row">
                <div class="col-md-4 col-lg-3">
                    <div class="widget">
                        <img style="height: 32px !important;" src="{{ asset('style/images/logo-light.png') }}" alt="" />
                        <div class="space40"></div>
                        <p>© {{ "now"|date('Y') }} Sprindt Technologies <br class="d-none d-lg-block">Tous les droits sont réservés.</p>
                        <p><img src="{{ asset('style/images/logo-startup-act.png') }}" height="60" alt=""></p>
                    </div>
                </div>
                <div class="col-md-4 col-lg-3">
                    <div class="widget">
                        <h3 class="widget-title">Entrer en contact</h3>
                        <address>
                            Centre Millenium 2ème étage <br class="d-none d-lg-block">
                            Bureau N°19 <br class="d-none d-lg-block">
                            Route de la Marsa Sidi Daoud, <br class="d-none d-lg-block">
                            La Marsa 2046
                        </address>
                        <a href="mailto:info@sprindt.com">info@sprindt.com</a><br> (+216) 22 16 64 07
                    </div>
                </div>
                <div class="col-md-4 col-lg-3">
                    <div class="widget">
                        <h3 class="widget-title">Liens utiles</h3>
                        <ul class="list-unstyled">
                            <li><a href="#" class="nocolor">À Propos</a></li>
                            <li><a href="#" class="nocolor">Devenir partenaire Sprindt</a></li>
                            <li><a href="#" class="nocolor">Contact</a></li>
                            <li><a href="#" class="nocolor">FAQ</a></li>
                            <li><a href="#" class="nocolor">Conditions générales d'utilisation</a></li>
                        </ul>
                    </div>
                </div>
                <div class="space30 d-none d-md-block d-lg-none"></div>
                <div class="col-md-12 col-lg-3">
                    <div class="widget">
                        <h3 class="widget-title">Newsletter</h3>
                        <p>Abonnez-vous à notre newsletter pour recevoir nos nouvelles et offres dans votre boîte de réception</p>
                        <div class="space10"></div>
                        <div class="newsletter-wrapper">
                            <form action="" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate" target="_blank" novalidate>
                                <div id="mc_embed_signup_scroll" class="input-group">
                                    <input type="email" value="" name="EMAIL" class="email form-control mb-0 mr-2 mb-sm-0" id="mce-EMAIL" placeholder="Email" required>
                                    <button type="submit" name="subscribe" id="mc-embedded-subscribe" class="btn btn-rounded btn-default mr-0 mb-0 pull-right"><i style="font-size: 19px;" class="jam jam-paper-plane"></i></button>
                                    <div style="position: absolute; left: -5000px;" aria-hidden="true">
                                        <input type="text" name="b_ddc180777a163e0f9f66ee014_056957de28" tabindex="-1" value="">
                                    </div>
                                    <div class="clearfix"></div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
</div>

<script src="{{ asset('style/js/jquery.min.js') }}"></script>
<script src="{{ asset('style/js/popper.min.js') }}"></script>
<script src="{{ asset('style/js/bootstrap.min.js') }}"></script>
<script src="{{ asset('style/revolution/js/jquery.themepunch.tools.min.js') }}"></script>
<script src="{{ asset('style/revolution/js/jquery.themepunch.revolution.min.js') }}"></script>
<script src="{{ asset('style/revolution/js/extensions/revolution.extension.actions.min.js') }}"></script>
<script src="{{ asset('style/revolution/js/extensions/revolution.extension.carousel.min.js') }}"></script>
<script src="{{ asset('style/revolution/js/extensions/revolution.extension.kenburn.min.js') }}"></script>
<script src="{{ asset('style/revolution/js/extensions/revolution.extension.layeranimation.min.js') }}"></script>
<script src="{{ asset('style/revolution/js/extensions/revolution.extension.migration.min.js') }}"></script>
<script src="{{ asset('style/revolution/js/extensions/revolution.extension.navigation.min.js') }}"></script>
<script src="{{ asset('style/revolution/js/extensions/revolution.extension.parallax.min.js') }}"></script>
<script src="{{ asset('style/revolution/js/extensions/revolution.extension.slideanims.min.js') }}"></script>
<script src="{{ asset('style/revolution/js/extensions/revolution.extension.video.min.js') }}"></script>
<script src="{{ asset('style/js/plugins.js') }}"></script>
<script src="{{ asset('style/js/scripts.js') }}"></script>
<script>
    $(function () {
        $('#cart-header').click(function (e) {
            e.preventDefault();
            jQuery('#cart-wrapper').toggleClass('opened');
        });

        $cartBody = $('.cart-body');

        $cartBody.on('keypress', '.cart-control', function(e){
            let charCode = (e.which) ? e.which : e.keyCode;
            if (charCode > 31 && (charCode < 48 || charCode > 57)) {
                return false;
            }
            let $parent = $(this).parent();
            $('.btn-update', $parent).addClass('show');
        });

        $('.btn-generate-quote').click(function (e) {
            e.preventDefault();
            $.ajax({
                url: '{{ path('set_redirect_system_after_login') }}',
                type: 'POST'
            })
        });

        $('body').on('click', '.btn-delete-product', function (e) {
            e.preventDefault();
            let $this = $(this);
            let id = $this.attr('data-id');
            $.ajax({
                url: '{{ path('front_remove_from_cart') }}',
                data: {id: id},
                type: 'POST'
            }).done(function () {
                let $itemsCount = $('#itemsCount');
                let count = $itemsCount.text();
                $itemsCount.text(count - 1);
                $this.parent().parent().fadeOut();
            }).fail(function () {
                alert('Une erreur s\'est produite !');
            })
        });

        $('body').on('click', '.btn-update', function (e) {
            e.preventDefault();
            let $this = $(this);
            let $parent = $this.parent();
            let id = $this.attr('data-id');
            let qty = $('input', $parent).val();
            $.ajax({
                url: '{{ path('front_update_quantity_cart') }}',
                data: {id: id, qty: qty},
                type: 'POST'
            }).done(function () {
                $this.css('opacity', 0);
            }).fail(function () {
                alert('Une erreur s\'est produite !');
            })
        });

        $('.hover-icon-second').click(function (e) {
            e.preventDefault();
            let qty = 1;

            let $cart = $('#cart-wrapper');
            let id = $(this).attr('data-id');
            let $itemsCounter = $('#itemsCount');
            if (!$cart.hasClass('not-empty')) {
                $cart.addClass('not-empty');
            }

            jQuery.ajax({
                url: '{{ path('front_add_to_cart') }}',
                data: {id: id, qty: qty},
                type: 'POST'
            }).done(function (jqxhr) {
                response = JSON.parse(jqxhr);
                if (response.type == 'old') {
                    $('input[data-product="'+response.id+'"').val(response.qty);
                } else {
                    jQuery('.cart-body-list').append(response.html);
                    let count = $itemsCounter.html();
                    count++;
                    $itemsCounter.html(count);
                }
                $('#modalToggle').trigger('click');
            }).fail(function () {
                alert('Une erreur s\'est produite !')
            })
        })
    })
</script>
{% block javascripts %}{% endblock %}
</body>
</html>